Improve the nagios check for the Smartgears (not the smart executor ones) nodes

Apr 07, 2016 01:24 PM - Andrea Dell'Amico

Status: Closed Start date: Apr 07, 2016

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Nagios monitoring   

Infrastructure: Production   

Description

The check needs to get the /whn-manager/gcube/resource/ URL and search for the The resource is active string

Related issues:

Related to D4Science Infrastructure - Task #850: Investigate a new way for ch... Closed Apr 01, 2016

Related to D4Science Infrastructure - Task #3159: Delete whn-manager version ... Closed Apr 07, 2016

History

#1 - Apr 07, 2016 01:24 PM - Andrea Dell'Amico

- Related to Task #850: Investigate a new way for check smartgears container by nagios  added

#2 - Apr 07, 2016 01:35 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 80

The check is now active. The following hosts seems not to be running a smartgear service:

dewn03.madgik.di.uoa.gr

dewn08.madgik.di.uoa.gr

dewn09.madgik.di.uoa.gr

dl17.di.uoa.gr

dl23.di.uoa.gr

node13.p.d4science.research-infrastructures.eu

node31.p.d4science.research-infrastructures.eu

node51.p.d4science.research-infrastructures.eu

 @roberto.cirillo@isti.cnr.it could you check? In the list attached in #3140 all those hosts are indicated as SMART

#3 - Apr 07, 2016 02:42 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

The check is now active. The following hosts seems not to be running a smartgear service:

dewn03.madgik.di.uoa.gr

dewn08.madgik.di.uoa.gr

dewn09.madgik.di.uoa.gr

dl17.di.uoa.gr

dl23.di.uoa.gr

node13.p.d4science.research-infrastructures.eu

node31.p.d4science.research-infrastructures.eu

node51.p.d4science.research-infrastructures.eu

 

These hosts are smartgears containers.

@roberto.cirillo@isti.cnr.it could you check? In the list attached in #3140 all those hosts are indicated as SMART

 All nodes indicated in the list as SMART are smartgears containers while  the gCore container are indicated as "GCORE". I'm sorry for the confusion.

#4 - Apr 07, 2016 02:51 PM - Andrea Dell'Amico

Roberto Cirillo wrote:
https://redmine.dev.d4science.org/issues/3140
Andrea Dell'Amico wrote:

The check is now active. The following hosts seems not to be running a smartgear service:

dewn03.madgik.di.uoa.gr

dewn08.madgik.di.uoa.gr

dewn09.madgik.di.uoa.gr

dl17.di.uoa.gr

dl23.di.uoa.gr

node13.p.d4science.research-infrastructures.eu

node31.p.d4science.research-infrastructures.eu

node51.p.d4science.research-infrastructures.eu

 

These hosts are smartgears containers.

All nodes indicated in the list as SMART are smartgears containers while  the gCore container are indicated as "GCORE". I'm sorry for the

confusion.

 It's me that is confused now: I agree that those hosts are smartgears containers, and the active check is the smartgears one. But it's failing because

the URL /whn-manager/gcube/resource/ does not exist (404).

#5 - Apr 07, 2016 02:58 PM - Andrea Dell'Amico

Could it be a problem caused by the whn-manager version? I see that node31.p.d4science.research-infrastructures.eu is running

common-smartgears-1.2.0-3.1.0-probe and  whn-manager-1.0.0-3.1.0, installed on april 2014.

#6 - Apr 07, 2016 03:25 PM - Roberto Cirillo

The problem is not the whn-manager version but the whn-manager deployment. The whn-manager has been deployed with the version in the war

name.

For example, if you try this url: http://dewn03.madgik.di.uoa.gr:8080/whn-manager-1.0.0-3.1.0/gcube/resource/ it works. So, the nagios check is

correct.

I'm going to open a ticket for this task.

#7 - Apr 07, 2016 03:38 PM - Roberto Cirillo

- Related to Task #3159: Delete whn-manager version from whn-manager war name added

#8 - Apr 07, 2016 03:40 PM - Andrea Dell'Amico

- % Done changed from 80 to 100

OK.

#9 - Apr 07, 2016 03:46 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed
